﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Windows.Forms;
using System.Drawing;

namespace pr275_1
{
    // Класс окна наследует класс Form: 
    class MyForm: Form {
        // Конструктор:
        public MyForm(string msg, string title): base() { 
            this.Text = title;  // Заголовок окна
            // Размеры окна: 
            this.Size = new Size(300, 140);
            // Окно постоянных размеров: 
            this.FormBorderStyle = FormBorderStyle.FixedSingle;
            // Окно нельзя развернуть на весь экран: 
            this.MaximizeBox = false;
            // Имя файла с пиктограммой для окна: 
            string file = "penguin.ico"; 
            // Пиктограмма для окна: 
            this.Icon = new Icon(file);
            // Создание объекта метки:
            Label lbl = new Label();
            // Текст метки: 
            lbl.Text = msg;
            // Положение метки в контейнере (окне): 
            lbl.Location = new Point(10,10); 
            lbl.Width = 265;	// Ширина метки
            lbl.Height = 40;	// Высота метки
            // Текст в метке выравнивается по центру: 
            lbl.TextAlign = ContentAlignment.MiddleCenter;
            // Тип рамки для метки: 
            lbl.BorderStyle = BorderStyle.Fixed3D;
            // Объект шрифта:
            Font F = new Font("Arial", 15, FontStyle.Italic);
            // Применение шрифта для метки: 
            lbl.Font = F;
            // Цвет шрифта для метки: 
            lbl.ForeColor = Color.Blue;
            // Добавление метки в окно: 
            this.Controls.Add(lbl);
            // Создание объекта кнопки:
            Button btn = new Button();
            // Текст (название) для кнопки: 
            btn.Text = "Закрыть";
            // Положение и размеры кнопки: 
            btn.Bounds = new Rectangle(100,60,90,30);
            // Шрифт для кнопки:
            btn.Font = new Font(btn.Font.Name, // Название шрифта 
                btn.Font.Size + 3, // Размер шрифта 
                // Стиль шрифта:
                FontStyle.Underline|FontStyle.Bold
                );
            // Добавление обработчика для события, связанного 
            // со щелчком по кнопке: 
            btn.Click += delegate(object a, EventArgs b) {
                // Завершение работы приложения:
                Application.Exit();
            };
            // Добавление кнопки в окно: 
            this.Controls.Add(btn);
        }
    }

    // Главный класс:
    class Program
    {
        [STAThread]
        // Главный метод: 
        static void Main()
        {
            // Создание объекта окна:
            MyForm mf = new MyForm("Bceм привет!",  // Заголовок
                "Окно с кнопкой" // Текст в окне
                );
            // Отображение окна:
            Application.Run(mf);
        }
    }
}
